Package org.eclipse.emf.cdo.lm.assembly

# Interface AssemblyPackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `AssemblyPackageImpl`

public interface AssemblyPackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `AssemblyFactory`
Generated
Model
  kind="package"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`AssemblyPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ASSEMBLY`
The meta object id for the '`Assembly`' class.
`static final int`
`ASSEMBLY___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`ASSEMBLY__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`ASSEMBLY__MODULES`
The feature id for the 'Modules' containment reference list.
`static final int`
`ASSEMBLY__SYSTEM_NAME`
The feature id for the 'System Name' attribute.
`static final int`
`ASSEMBLY_FEATURE_COUNT`
The number of structural features of the 'Assembly' class.
`static final int`
`ASSEMBLY_MODULE`
The meta object id for the '`Module`' class.
`static final int`
`ASSEMBLY_MODULE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`ASSEMBLY_MODULE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`ASSEMBLY_MODULE__ASSEMBLY`
The feature id for the 'Assembly' container reference.
`static final int`
`ASSEMBLY_MODULE__BRANCH_POINT`
The feature id for the 'Branch Point' attribute.
`static final int`
`ASSEMBLY_MODULE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`ASSEMBLY_MODULE__ROOT`
The feature id for the 'Root' attribute.
`static final int`
`ASSEMBLY_MODULE__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`ASSEMBLY_MODULE_FEATURE_COUNT`
The number of structural features of the 'Module' class.
`static final int`
`ASSEMBLY_MODULE_OPERATION_COUNT`
The number of operations of the 'Module' class.
`static final int`
`ASSEMBLY_OPERATION_COUNT`
The number of operations of the 'Assembly' class.
`static final AssemblyPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.

## Method Summary

Modifier and Type
Method
Description
`EClass`
`getAssembly()`
Returns the meta object for class '`Assembly`'.
`EReference`
`getAssembly_Modules()`
Returns the meta object for the containment reference list '`Modules`'.
`EAttribute`
`getAssembly_SystemName()`
Returns the meta object for the attribute '`System Name`'.
`AssemblyFactory`
`getAssemblyFactory()`
Returns the factory that creates the instances of the model.
`EClass`
`getAssemblyModule()`
Returns the meta object for class '`Module`'.
`EReference`
`getAssemblyModule_Assembly()`
Returns the meta object for the container reference '`Assembly`'.
`EAttribute`
`getAssemblyModule_BranchPoint()`
Returns the meta object for the attribute '`Branch Point`'.
`EAttribute`
`getAssemblyModule_Name()`
Returns the meta object for the attribute '`Name`'.
`EAttribute`
`getAssemblyModule_Root()`
Returns the meta object for the attribute '`Root`'.
`EAttribute`
`getAssemblyModule_Version()`
Returns the meta object for the attribute '`Version`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated

### eINSTANCE

static final AssemblyPackage eINSTANCE
The singleton instance of the package.

Generated

### ASSEMBLY

static final int ASSEMBLY
The meta object id for the '`Assembly`' class.

See Also:
  - `AssemblyImpl`
  - `AssemblyPackageImpl.getAssembly()`
  - Constant Field Values
Generated

### ASSEMBLY__ANNOTATIONS

static final int ASSEMBLY__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY__SYSTEM_NAME

static final int ASSEMBLY__SYSTEM_NAME
The feature id for the 'System Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY__MODULES

static final int ASSEMBLY__MODULES
The feature id for the 'Modules' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_FEATURE_COUNT

static final int ASSEMBLY_FEATURE_COUNT
The number of structural features of the 'Assembly' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY___GET_ANNOTATION__STRING

static final int ASSEMBLY___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_OPERATION_COUNT

static final int ASSEMBLY_OPERATION_COUNT
The number of operations of the 'Assembly' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE

static final int ASSEMBLY_MODULE
The meta object id for the '`Module`' class.

See Also:
  - `AssemblyModuleImpl`
  - `AssemblyPackageImpl.getAssemblyModule()`
  - Constant Field Values
Generated

### ASSEMBLY_MODULE__ANNOTATIONS

static final int ASSEMBLY_MODULE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE__ASSEMBLY

static final int ASSEMBLY_MODULE__ASSEMBLY
The feature id for the 'Assembly' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE__NAME

static final int ASSEMBLY_MODULE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE__VERSION

static final int ASSEMBLY_MODULE__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE__BRANCH_POINT

static final int ASSEMBLY_MODULE__BRANCH_POINT
The feature id for the 'Branch Point' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE__ROOT

static final int ASSEMBLY_MODULE__ROOT
The feature id for the 'Root' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE_FEATURE_COUNT

static final int ASSEMBLY_MODULE_FEATURE_COUNT
The number of structural features of the 'Module' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE___GET_ANNOTATION__STRING

static final int ASSEMBLY_MODULE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### ASSEMBLY_MODULE_OPERATION_COUNT

static final int ASSEMBLY_MODULE_OPERATION_COUNT
The number of operations of the 'Module' class.

See Also:
  - Constant Field Values
Generated
Ordered

## Method Details

### getAssembly

EClass getAssembly()
Returns the meta object for class '`Assembly`'.

Returns:
  the meta object for class 'Assembly'.
See Also:
  - `Assembly`
Generated

### getAssembly_SystemName

EAttribute getAssembly_SystemName()
Returns the meta object for the attribute '`System Name`'.

Returns:
  the meta object for the attribute 'System Name'.
See Also:
  - `Assembly.getSystemName()`
  - `getAssembly()`
Generated

### getAssembly_Modules

EReference getAssembly_Modules()
Returns the meta object for the containment reference list '`Modules`'.

Returns:
  the meta object for the containment reference list 'Modules'.
See Also:
  - `Assembly.getModules()`
  - `getAssembly()`
Generated

### getAssemblyModule

EClass getAssemblyModule()
Returns the meta object for class '`Module`'.

Returns:
  the meta object for class 'Module'.
See Also:
  - `AssemblyModule`
Generated

### getAssemblyModule_Assembly

EReference getAssemblyModule_Assembly()
Returns the meta object for the container reference '`Assembly`'.

Returns:
  the meta object for the container reference 'Assembly'.
See Also:
  - `AssemblyModule.getAssembly()`
  - `getAssemblyModule()`
Generated

### getAssemblyModule_Name

EAttribute getAssemblyModule_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `AssemblyModule.getName()`
  - `getAssemblyModule()`
Generated

### getAssemblyModule_Version

EAttribute getAssemblyModule_Version()
Returns the meta object for the attribute '`Version`'.

Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `AssemblyModule.getVersion()`
  - `getAssemblyModule()`
Generated

### getAssemblyModule_BranchPoint

EAttribute getAssemblyModule_BranchPoint()
Returns the meta object for the attribute '`Branch Point`'.

Returns:
  the meta object for the attribute 'Branch Point'.
See Also:
  - `AssemblyModule.getBranchPoint()`
  - `getAssemblyModule()`
Generated

### getAssemblyModule_Root

EAttribute getAssemblyModule_Root()
Returns the meta object for the attribute '`Root`'.

Returns:
  the meta object for the attribute 'Root'.
See Also:
  - `AssemblyModule.isRoot()`
  - `getAssemblyModule()`
Generated

### getAssemblyFactory

AssemblyFactory getAssemblyFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated